%define oname keybinder

%define api 3.0
%define major 0
%define girmajor 3.0
%define libname %mklibname %{oname} %{api} %{major}
%define girname %mklibname %{oname}-gir %{girmajor}
%define devname %mklibname %{oname} %{api} -d

Summary:	A library for registering global keyboard shortcuts
Name:		keybinder3
Version:	0.3.0
Release:	1
License:	MIT
Group:		System/Libraries
Url:		https://github.com/engla/keybinder/tree/keybinder-3.0
Source0:	https://github.com/engla/keybinder/archive/%{oname}-%{api}-v%{version}.tar.gz
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-doc)

%description
Keybinder is a library for registering global keyboard shortcuts.
Keybinder works with GTK-based applications using the X Window System.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libkeybinder-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection files for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Keybinder-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_includedir}/keybinder-%{api}/keybinder.h
%{_libdir}/libkeybinder-%{api}.so
%{_libdir}/pkgconfig/keybinder-%{api}.pc
%{_datadir}/gir-1.0/Keybinder-%{girmajor}.gir

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{oname}-%{api}-v%{version}

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std


%changelog

* Thu Jun 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.3.0-1
- (3f013f6) Build requires gnome-common


